{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit Prize{% endblock %}
{% block prize_active %}active{% endblock %}
{% block parent_prize_a_active %}active{% endblock %}
{% block parent_prize_i_active %}active{% endblock %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <section class="panel panel-content">
            <header class="panel-heading">
                <span>Edit Prize</span>
            </header>
            <div class="panel-body">
                <form class="form-horizontal" action="" role="form" method="post"
                      enctype="multipart/form-data">
                    {% csrf_token %}

                    <div class="form-group hide">
                        <label for="restaurant" class="col-lg-2 col-sm-2 control-label">Restaurant</label>
                        <div class="col-lg-10">
                            {{ form_info.restaurant }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Point<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.request_point }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Title<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.title }}
                        </div>
                    </div>
                     <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Title CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.title_cn }}
                        </div>
                    </div>
                     <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Link Address<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.link_address }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Content<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.content }}
                        </div>
                    </div>
                     <div class="form-group hidden">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Content CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.content_cn }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="issue_date" class="col-lg-2 col-sm-2 control-label">Condition<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.condition }}
                        </div>
                    </div>
                     <div class="form-group">
                        <label for="point" class="col-lg-2 col-sm-2 control-label">Condition CN<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-10">
                            {{ form_info.condition_cn }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="from_date" class="col-lg-4 col-sm-4 control-label">From Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.from_date }}
                                    <span id="lbDateError" class="text-danger hidden">* Please input from date smaller then to date.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 hidden">
                            <div class="form-group ">
                                <label for="to_date" class="col-lg-4 col-sm-4 control-label">To Date<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.to_date }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row hidden">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="start_time" class="col-lg-4 col-sm-4 control-label">Start Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.start_time }}
                                    <span id="lbTimeError" class="text-danger hidden">* Please input start time smaller then end time.</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="end_time" class="col-lg-4 col-sm-4 control-label">End Time<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.end_time }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="week_days" class="col-lg-2 col-sm-2 control-label">Apply Days</label>
                        <div class="col-lg-10">
                            {{ form_info.week_days }}
                        </div>
                    </div>
                    <div class="row hidden">
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="current_register" class="col-lg-4 col-sm-4 control-label">Current Register</label>
                                <div class="col-lg-8">
                                    {{ form_info.current_register }}
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group ">
                                <label for="quantity" class="col-lg-4 col-sm-4 control-label">Quantity<span
                                        class="span-required">(*)</span></label>
                                <div class="col-lg-8">
                                    {{ form_info.quantity }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_mail_notify" class="col-lg-2 col-sm-2 control-label">EMail Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_mail_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_sms_notify" class="col-lg-2 col-sm-2 control-label">SMS Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_sms_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_app_notify" class="col-lg-2 col-sm-2 control-label">Apps Notify<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_app_notify }}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <label for="is_app_notify" class="col-lg-2 col-sm-2 control-label">Already Send<span
                                class="span-required">(*)</span></label>
                        <div class="col-lg-4">
                            {{ form_info.is_already_send }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="image_path" class="col-lg-2 col-sm-2 control-label">Image</label>
                        <div class="col-lg-4">
                            {% if prizes.image_path %}
                                <input id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    data-default-file="{% static 'media/' %}{{ prizes.image_path }}"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% else %}
                                <input required id="image_path"
                                    name="image_path"
                                    class="dropify image_path"
                                    type="file"
                                    data-max-file-size="3M"
                                    data-show-remove="false"
                                    data-min-width="400"
                                    data-max-width="1080"
                                    data-allowed-file-extensions="png jpg jpeg"/>
                                <p class="text-primary">* Please choose image with width between 400px and 1080px</p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="form-group hidden">
                        <div class="col-lg-2">
                        </div>
                        <div class="col-lg-10">
                            <div class="checkbox checkbox-primary">
                                <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                       {% if prizes.is_delete == 0 %}checked{% endif %}/>
                                <label for="checkbox-03">
                                    Active
                                </label>
                            </div>
                        </div>
                    </div>

                    <!--end form content-->
                    <div class="form-group bottom-group">
                         <div class="col-lg-offset-2 col-lg-10">
                            <button type="submit" class="btn btn-success" onclick="return validData()">Update
                            </button>
                            <a type="submit" class="btn btn-default" href="{% url 'prizes_list' %}">Cancel</a>
                        </div>
                    </div>

                </form>
            </div>
        </section>
    </div>
</div>
{% endblock %}

{% block extrafoot %}
    {% load staticfiles %}
    <script type="text/javascript">

        function validData() {
            var fromDate = $("#id_from_date").val();
            var toDate = $("#id_to_date").val();
            var startTime = $("#id_start_time").val();
            var endTime = $("#id_end_time").val();

            if(toDate < fromDate || toDate == fromDate) {
                $("#lbDateError").removeClass("hidden");
                return false;
            } else {
                $("#lbDateError").addClass("hidden");
            }

            if(endTime < startTime || endTime == startTime) {
                $("#lbTimeError").removeClass("hidden");
                return false;
            } else {
                $("#lbTimeError").addClass("hidden");
            }
        }

    </script>
{% endblock %}
